Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.repository
Class SvnModuleFacade

    java.lang.Object
      com.pmease.quickbuild.repository.SvnModuleFacade

All Implemented Interfaces:
  java.io.Serializable

public class SvnModuleFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for SvnModule.

See Also:
  Serialized Form

Constructor Summary
`SvnModuleFacade()`

Method Summary
`java.lang.String` | `getBranch()` OGNL: Specify the branch for above source path.
`java.lang.String` | `getDestPath()` OGNL: If specified, the contents from Subversion repository will be retrieved to the destination path relative to the project work directory.
`java.lang.String` | `getLabel()` OGNL: Specify the label for the above source path.
`java.lang.String` | `getSrcPath()` OGNL: Represents a path in the Subversion repository, for example /, testsvn/web, or /testsvn.
`void` | `setBranch(java.lang.String branch)`
`void` | `setDestPath(java.lang.String destPath)`
`void` | `setLabel(java.lang.String label)`
`void` | `setSrcPath(java.lang.String srcPath)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SvnModuleFacade

    public SvnModuleFacade()

Method Detail

### getSrcPath

    public java.lang.String getSrcPath()

  OGNL: Represents a path in the Subversion repository, for example /, testsvn/web, or /testsvn. This path is considered to be relative to the url base defined above. When branch or label properties are defined, this path will be mapped to another path in the svn repository. Please refer to the user's guide for details.

### setSrcPath

    public void setSrcPath(java.lang.String srcPath)

### getBranch

    public java.lang.String getBranch()

  OGNL: Specify the branch for above source path. When left empty, trunk is assumed. NOTE: Subversion does not internally has the notion of branch. Value specified here will be used by QuickBuild to do url mapping for the above source path so that actual effect is just like a branch in Cvs. Refer to the user's guide for details about the url mapping for a branch.

### setBranch

    public void setBranch(java.lang.String branch)

### getLabel

    public java.lang.String getLabel()

  OGNL: Specify the label for the above source path. If specified, it will take preference over branch. When left empty, head version of the specified branch is assumed. NOTE: Subversion does not internally has the notion of label. Value specified here will be used by QuickBuild to do url mapping for the above source path so that actual effect is just like a tag in Cvs. Refer to the user's guide for details about the url mapping for a label.

### setLabel

    public void setLabel(java.lang.String label)

### getDestPath

    public java.lang.String getDestPath()

  OGNL: If specified, the contents from Subversion repository will be retrieved to the destination path relative to the project work directory. Otherwise the contents will be retrieved to source path (with no regard to branch or label) relative to the project work directory.

### setDestPath

    public void setDestPath(java.lang.String destPath)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.